## flare-game 0.19

=== CMakeLists.txt ===
Project (Flare-Game)
cmake_minimum_required (VERSION 2.6)

Set (PACKAGE "FLARE-GAME")
Set (VERSION "0.19")

set(BINDIR  "games"             CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game executable will be installed.")
set(DATADIR "share/games/flare" CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game data files will be installed.")

If(NOT IS_ABSOLUTE "${DATADIR}")
	add_definitions(-DDATA_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/${DATADIR}")
Else(NOT IS_ABSOLUTE "${DATADIR}")
	add_definitions(-DDATA_INSTALL_DIR="${DATADIR}")
EndIf(NOT IS_ABSOLUTE "${DATADIR}")


# desktop file
If(NOT IS_ABSOLUTE "${BINDIR}")
	set(FLARE_EXECUTABLE_PATH ${CMAKE_INSTALL_PREFIX}/${BINDIR}/flare)
Else(NOT IS_ABSOLUTE "${BINDIR}")
	set(FLARE_EXECUTABLE_PATH ${BINDIR}/flare)
EndIf(NOT IS_ABSOLUTE "${BINDIR}")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/flare.desktop")


# installing to the proper places
install(DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/mods"
  DESTINATION ${DATADIR}/flare-game)
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/flare.desktop"
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare_logo.svg"
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
  RENAME flare.svg)

=== debian/changelog ===
flare-game (0.19-2) unstable; urgency=medium

  [ Martin Quinson ]
  * Don't build-dep on quilt, and don't pass it as a deb-helper module

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.6 (no changes needed)
  * Add patch fix-762099-tryexec-desktop-file.patch to remove the extra
    argument " --game=flare-game" from TryExec, otherwise the item does
    not appear in the menus.  Thanks Ronny Standtke (Closes: #762099)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 25 Oct 2014 01:52:04 +0100

flare-game (0.19-1) unstable; urgency=medium

  * New upstream release.
    The game and the engine are now split in two separate source packages.
  * Provide a menu file (Closes: #737876).

 -- Martin Quinson <mquinson@debian.org>  Thu, 17 Jul 2014 08:34:06 +0200

flare (0.18-1) unstable; urgency=low

  [ Jan-Hendrik Peters ]
  * New upstream version 0.18

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.4 (no changes needed)
  * Change maintaner address
  * Remove obsolete "DM-Upload-Allowed: yes"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 08 May 2013 21:53:39 +0100

flare (0.17.1-1~exp1) experimental; urgency=low

  [ Jan-Hendrik Peters ]
  * New upstream version

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.3 (no changes needed)
  * debhelper compatibility level set to 9 (brings fortified builds and other
    goodies), dependencies change accordingly
  * Depending on fonts (liberation and unifont) rather than installing the
    embedded ones
  * Review of debian/copyright for the new version, documenting licenses of
    included fonts, updating URLs, copyright file format
  * Updated watch file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 28 Dec 2012 00:44:42 +0000

flare (0.15.1-1) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * New upstream release (Closes: #646455)
    - Imported Upstream version 0.15.1 [76cb190]
  * Added new build dependency: libsdl-ttf2.0-dev

  [ Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> ]
  * Remove stuff in debian/ now present upstream:
    - flare.desktop (now in distribution/flare.desktop.in)
    - flare-icon.png (installed by CMake from art_src/logo/flare_logo.svg), and
      debian/source/include-binaries (created because of this icon)
  * debian/rules:
    - No need for "override_dh_fixperms" with this upstream
    - Now it doesn't contain the master CMakeLists.txt on build, so no need for
      overrides to "dh_auto_configure", "dh_auto_build" or "dh_auto_clean"
      (already commented out); nor "--builddirectory=build" to the base "dh"
      template.
    - "override_dh_install" to include --fail-missing (to avoid not installing
      new files by mistake, in this package with the data changing so often)
  * debian/copyright: minor updates, e.g. changes to dir names and clarifying
    that files are under GPLv3/CC-BY-SAv3 or later (not just 3.0)
  * Update package descriptions (text taken from upstream's README)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 26 Dec 2011 22:12:48 +0000

flare (0.14.1-5) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * Correcting path to icon in the menu file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 15 Nov 2011 22:12:48 +0000

flare (0.14.1-4) unstable; urgency=low

  * Installing .desktop file in the proper directory, otherwise it doesn't work
  * Quell lintian warnings:
    - latest-debian-changelog-entry-without-new-date: fix date of entry for
      version 0.14.1-3, it was set to one hour too early and didn't notice any
      lintian warning before uploading
    - duplicate-short-description: Improving description of packages flare and
      flare-data

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 14 Nov 2011 19:48:16 +0000

flare (0.14.1-3) unstable; urgency=low

  * Disabling the override of dh_fixperms at the moment, it doesn't
    seem to work on buildd machines.  Better a lintian warning that
    not being able to build in all architectures...

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 22 Oct 2011 15:26:07 +0100

flare (0.14.1-2) unstable; urgency=low

  * Simplifying debian/rules by using specific flags controlling the
    directories to use for building.
  * Fixing in debian/rules the way to remove executable permissions to
    a PNG file, so it doesn't break on buildd machines (it was working
    fine in pbuilder, though).
  * Disabled the automatic re-generation of the single man page, the
    man page is already provided in its proper form and can be
    regenerated from time to time -- no need for the added complexity
    of overriding dh_installman in debian/rules.  As a consequence,
    remove the xsltproc and docbook-* build-deps (XML is not being
    used for anything else).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 22 Oct 2011 14:26:09 +0100

flare (0.14.1-1) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * Initial release (Closes: #622288)
  * Added CC-BY-SA text to debian/copyright
  * This is my first Debian package :)

  [ Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> ]
  * Recompressed the original tarball as .xz, goes down from ~120MB to
    ~78MB of space
  * Created a separate package for data
  * Minor modifications to the rules file to improve some commands
    (e.g. the way to clean/remove files)
  * Added .desktop file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 18 Oct 2011 18:49:56 +0200

=== debian/control ===
Source: flare-game
Section: games
Priority: optional
Maintainer: Jan-Hendrik Peters <hennr@hennr.name>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>,
  Martin Quinson <mquinson@debian.org>
Build-Depends: debhelper (>= 9~),
               cmake (>= 2.6),
	       imagemagick,
               librsvg2-bin
Standards-Version: 3.9.6
Homepage: http://flarerpg.org/
Vcs-Git: git://anonscm.debian.org/pkg-games/flare-game.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/flare-game.git

Package: flare-game
Architecture: all
Depends: ${misc:Depends},
         flare-engine,
         fonts-liberation,
         ttf-unifont
Breaks: flare-data (<< 0.19), flare (<< 0.19)
Replaces: flare-data (<< 0.19), flare (<< 0.19)
Description: fantasy single-player 2D action role-playing game
 Flare (Free Libre Action Roleplaying Engine) is a simple game engine built to
 handle a very specific kind of game: single-player 2D action RPGs. Flare is not
 a reimplementation of an existing game or engine. It is a tribute to and
 exploration of the action RPG genre.
 .
 Rather than building a very abstract, robust game engine, the goal of this
 project is to build several real games and harvest an engine from the common,
 reusable code. This first game, in progress, is a fantasy dungeon crawl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --parallel


override_dh_install:
	# Install the logo that the menu entry needs
	mkdir -p debian/flare-game/usr/share/icons/hicolor/24x24/apps/
	convert -scale 24x24 distribution/flare_logo.svg \
                 debian/flare-game/usr/share/icons/hicolor/24x24/apps/flare.xpm
	# remove some cruft to please lintian
	rm debian/flare-game/usr/share/games/flare/flare-game/mods/*/languages/readme.txt
	rm debian/flare-game/usr/share/games/flare/flare-game/mods/*/languages/regenerate_po.sh
	rm debian/flare-game/usr/share/games/flare/flare-game/mods/*/languages/xgettext.py
	# install the rest
	mv debian/flare-game debian/tmp
	dh_install --fail-missing -X*.ttf


# mafm 20111021 -- man page can be regenerated from time to time, no
# need for this override dh_installman and use xsltproc every time
# (and so we save a few build-depends as well, XML is not used for
# anything else)

# override_dh_installman:
# 	xsltproc --nonet \
# 		--param make.year.ranges 1 \
# 		--param make.single.year.ranges 1 \
# 		--param man.charmap.use.subset 0 \
# 		-o debian/ \
# 		http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
# 		debian/flare.1.xml
# 	dh_installman

=== debian/watch ===
version=3
https://github.com/clintbellanger/flare-game/tags .*/v(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)

## flare-game 1.09.01

=== CMakeLists.txt ===
Project (Flare-Game)
cmake_minimum_required (VERSION 2.6)

Set (PACKAGE "FLARE-GAME")
Set (VERSION "1.09.01")

set(BINDIR  "games"             CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game executable will be installed.")
set(DATADIR "share/games/flare" CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game data files will be installed.")

If(NOT IS_ABSOLUTE "${DATADIR}")
	add_definitions(-DDATA_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/${DATADIR}")
Else(NOT IS_ABSOLUTE "${DATADIR}")
	add_definitions(-DDATA_INSTALL_DIR="${DATADIR}")
EndIf(NOT IS_ABSOLUTE "${DATADIR}")

# installing to the proper places
install(DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/mods/fantasycore"
  DESTINATION ${DATADIR}/mods)
install(DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/mods/empyrean_campaign"
  DESTINATION ${DATADIR}/mods)
install(DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/mods/centered_statbars"
  DESTINATION ${DATADIR}/mods)

# installing appdata
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/distribution/org.flarerpg.Flare.appdata.xml"
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/metainfo)

=== debian/changelog ===
flare-game (1.09.01-1) unstable; urgency=medium

  * New upstream release
  * d/copyright, d/watch: Update upstream URLs
  * d/copyright: use https in format URL
  * Bump Policy Standards-Version to 4.3.0 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 29 Jan 2019 00:16:48 +0100

flare-game (1.07-1) unstable; urgency=medium

  * New upstream release
    - Fix font paths/links for new upstream release
  * Remove manpage shipped from debian/
  * d/control:
    - Update maintainers
    - Update Vcs-* fields
  * Bump Policy Standards-Version to 4.1.5 (no changes needed)
  * debhelper compatibility level set to v11
  * d/patches:
    - remove fix-762099-tryexec-desktop-file.patch
  * Drop conversion of logo (and related Build-Depends), not present
    upstream in this repo anymore
  * d/rules: removed wrong/unneeded instructions for the current upstream
    release

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 07 Sep 2018 23:45:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: flare-game
 Section: games
 Priority: optional
-Maintainer: Jan-Hendrik Peters <hennr@hennr.name>
-Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>,
-  Martin Quinson <mquinson@debian.org>
-Build-Depends: debhelper (>= 9~),
-               cmake (>= 2.6),
-	       imagemagick,
-               librsvg2-bin
-Standards-Version: 3.9.6
+Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
+Uploaders: Martin Quinson <mquinson@debian.org>
+Build-Depends: debhelper (>= 11~),
+               cmake (>= 2.6)
+Standards-Version: 4.3.0
 Homepage: http://flarerpg.org/
-Vcs-Git: git://anonscm.debian.org/pkg-games/flare-game.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/flare-game.git
+Vcs-Git: https://salsa.debian.org/games-team/flare-game.git
+Vcs-Browser: https://salsa.debian.org/games-team/flare-game
+
 
 Package: flare-game
 Architecture: all

=== debian/watch ===
version=4
https://github.com/flareteam/flare-game/tags .*/v(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)

## flare-game 1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required (VERSION 2.6)
 
 Set (PACKAGE "FLARE-GAME")
-Set (VERSION "1.09.01")
+Set (VERSION "1.12")
 
 set(BINDIR  "games"             CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game executable will be installed.")
 set(DATADIR "share/games/flare" CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game data files will be installed.")

=== debian/changelog ===
flare-game (1.12-1) unstable; urgency=medium

  [ Martin Quinson ]
  * New upstream version (Closes: #965237).
  * Depends on fonts-unifont instead of ttf-unifont (Closes: #986851).
  * d/control: bump debhelper to v13 and standard-version to 4.6.0.
  * d/lintian-overrides: Updates and cleanups.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Martin Quinson <mquinson@debian.org>  Wed, 25 Aug 2021 23:14:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
 Uploaders: Martin Quinson <mquinson@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake (>= 2.6)
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: http://flarerpg.org/
 Vcs-Git: https://salsa.debian.org/games-team/flare-game.git
 Vcs-Browser: https://salsa.debian.org/games-team/flare-game
@@ -16,7 +16,7 @@
 Depends: ${misc:Depends},
          flare-engine,
          fonts-liberation,
-         ttf-unifont
+         fonts-unifont
 Breaks: flare-data (<< 0.19), flare (<< 0.19)
 Replaces: flare-data (<< 0.19), flare (<< 0.19)
 Description: fantasy single-player 2D action role-playing game

## flare-game 1.13.04

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-Project (Flare-Game)
-cmake_minimum_required (VERSION 2.6)
+Project (Flare-Game LANGUAGES NONE)
+cmake_minimum_required (VERSION 2.8.12)
 
 Set (PACKAGE "FLARE-GAME")
-Set (VERSION "1.12")
+Set (VERSION "1.13.04")
 
 set(BINDIR  "games"             CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game executable will be installed.")
 set(DATADIR "share/games/flare" CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game data files will be installed.")

=== debian/changelog ===
flare-game (1.13.04-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump standards-version to 4.6.1 (no change needed).
  * Various Lintian fixups.

 -- Martin Quinson <mquinson@debian.org>  Mon, 11 Jul 2022 10:50:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Martin Quinson <mquinson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 2.6)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://flarerpg.org/
 Vcs-Git: https://salsa.debian.org/games-team/flare-game.git
 Vcs-Browser: https://salsa.debian.org/games-team/flare-game

## flare-game 1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required (VERSION 2.8.12)
 
 Set (PACKAGE "FLARE-GAME")
-Set (VERSION "1.13.04")
+Set (VERSION "1.14")
 
 set(BINDIR  "games"             CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game executable will be installed.")
 set(DATADIR "share/games/flare" CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game data files will be installed.")

=== debian/changelog ===
flare-game (1.14-2) unstable; urgency=medium

  * d/p/cmake4: new patch to bump the minimal CMake version, so that
    it works with CMake 4 (closes: #1112918).

 -- Martin Quinson <mquinson@debian.org>  Sat, 11 Oct 2025 23:13:32 +0200

flare-game (1.14-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump standards-version to 4.6.2 (no change needed).

 -- Martin Quinson <mquinson@debian.org>  Tue, 07 Feb 2023 15:37:23 +0100

flare-game (1.13.04-2) unstable; urgency=medium

  * Source-only upload, to migrate to testing.

 -- Martin Quinson <mquinson@debian.org>  Fri, 26 Aug 2022 09:29:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Martin Quinson <mquinson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 2.6)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://flarerpg.org/
 Vcs-Git: https://salsa.debian.org/games-team/flare-game.git
 Vcs-Browser: https://salsa.debian.org/games-team/flare-game

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	mv debian/flare-game debian/tmp
	dh_install -X*.ttf

=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/, \
      filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/" \
https://github.com/flareteam/flare-game/tags .*/v?(\d\S+)\.tar\.gz
